ippl (1.4.14-15) unstable; urgency=medium

  * split Build-Depends
  * add debian/gbp.conf
  * override all "patch not forwarded" lintian errors.
    There is no upstream any more that we could forward to
  * Standards-Version: 4.7.2 (no changes necessary)
  * rename debian/ippl.tmpfile -> debian/ippl.tmpfiles
  * add systemd service unit. (Closes: #1039237)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 23 Oct 2025 21:06:09 +0200

ippl (1.4.14-14) unstable; urgency=medium

  [ Marc Haber ]
  * create RUNDIR, use CONFFILE variable.
    Thanks to Matus UHLAR - fantomas (Closes: #1042760)
  * make shellcheck a bit more happy
  * clean up config. files in clean.
    Thanks to Lucas Nussbaum (Closes: #1048753)
  * Code patches:
    * do not use log as a variable name
    * add missing includes, allow building again
    * man page fixes
    * use snprintf instead of strcpy
    * use correct prototype for syslog()
    * (Closes: #1066218)
  * fix hardening
  * depend on sysvinit-utils instead of lsb-base
  * fix patch headers
  * fix debian/copyright

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entries 1.4.12-4, 1.4.8-1.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 18 Jun 2025 21:55:24 +0200

ippl (1.4.14-13) unstable; urgency=medium

  * modernize package
    * move to salsa
    * activate salsa-ci
    * quilt instead of dpatch
      * add DEP-3 patch tags
      * remove extra manual page patch
    * dh instead of cdbs
      * add patch to honor DESTDIR on install
  * control file:
    * make maintainer point to PTS
    * run wrap-and-sort
    * remove explicit ippl-dbg
    * priority optional
    * add ${misc:Pre-Depends} dependency
    * add Vcs fields
    * add Rules-Requires-Root: no
    * Standards-Version: 4.6.0
  * Ex-Upstream has deleted their home page
  * convert some files from ISO-8859-1 to UTF-8
  * maintainer scripts
    * remove ancient cruft
    * make lintian happy, set -e explicitly
  * remove trailing whitespace from changelog lines
  * have d/copyright refer directly to GPL-2
  * override some pedantic lintian stuff
  * move /var/run/ippl to /run/ippl

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 23 Dec 2021 13:41:09 +0100

ippl (1.4.14-12.2) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission.
  * Fix "Depends on virtual package "perl5-base" which is gone with
    perl/5.22":
    Remove perl5-base in debian/control, don't add perl-base since it's
    essential anyway.
    (Closes: #808412)

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Dec 2015 22:16:14 +0100

ippl (1.4.14-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: log.c:150:5: error: format not a string literal and no
    format arguments [-Werror=format-security]": new patch
    60-format-security.dpatch: adds format arguments.
    Closes: #643409

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Dec 2011 18:00:26 +0100

ippl (1.4.14-12) unstable; urgency=low

  * Fix wrong logic in /lib/lsb/init-functions processing. Closes: #565495
  * depend on lsb-base
  * run update_ippl_conf even on restart. duh.
  * put -dbg package in Section debug
  * add Homepage: field
  * add debian/README.source
  * add ${misc:Depends} to binary packages
  * Yes, this package is going to keep 1.0 format, add debian/source/format
  * re-generate debian/control
  * depend on debhelper 5
  * Standards-Version: 3.9.0 (no other changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 29 Jun 2010 15:54:50 +0200

ippl (1.4.14-11) unstable; urgency=low

  * init script:
    - do not call start-stop-daemon directly in favor
      of LSB functions. Closes: #450647
    - update ippl.conf in case of restart. Closes: #453454
  * Standards-Version: 3.7.3 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 02 Feb 2008 16:36:52 +0100

ippl (1.4.14-10) unstable; urgency=low

  * restart ippl instead of the now-defunct reload in logrotate script.
    Thanks to TANAKA Atushi.
  * do not strip binary during installation.
    Thanks to Julien Danjou. Closes: #437218
  * Add -dbg package, set debian/compat to 5
  * re-generate debian/control
  * move package-specific debian/ files to ippl.*
  * postrm: do not abort if perl-modules not found during deluser.
    Thanks to Josip Rodin. Closes: #421094

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 11 Aug 2007 10:03:24 +0200

ippl (1.4.14-9) unstable; urgency=low

  * rm -f config.* on clean. Thanks to Patrick Winnert and Sune Vuorela.
    Closes: #424420.
  * Add patch from Narayanan R S to fix privilege drop and
    re-attachment to sockets. This removes the capability to reload the
    configuration. Adapt the init script appropriately. Closes: #420933.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 20 May 2007 12:06:50 +0200

ippl (1.4.14-8) unstable; urgency=low

  * postrm:
    * Fix deluser call, the --home parameter does not exist any more.
    * Handle gracefully the case that deluser does not exist during
      package purge.
    * Thanks to Bill Allombert and Vincent Zweije. Closes: #389765
  * Create /var/run/ippl in init script. Closes: #390154
  * lsb-ize init script. Closes: #377027
  * give absolute time for upstream inactivity
  * regenerate debian/control
  * Standards-Version: 3.7.2:
    * use invoke-rc.d in logrotate file
  * debian/rules: remove workaround for cdbs bug #284231

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun,  1 Oct 2006 14:24:27 +0000

ippl (1.4.14-7) unstable; urgency=low

  * add upstream URL to package description
  * adapt debian/copyright
  * add debian/watch
  * Document portresolve/noportresolve in ippl.conf, re-word man page.
    Thanks to Matus Uhlar. Closes: #306243
  * Add --oknodo to s-s-d invocation in init script action reload.
    Thanks to Mike Dornberger. Closes: #331235
  * disable DEB_AUTO_UPDATE_DEBIAN_CONTROL in debian/rules.
  * use current FSF address
  * Standards-Version: 3.6.2 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun,  2 Oct 2005 18:37:12 +0000

ippl (1.4.14-6) unstable; urgency=low

  * New Maintainer. Closes: #300183
  * Put debian/ under version control
  * Migrate Package to cdbs
  * Add dpatch
  * Move portresolve patch to patches, apply via dpatch
  * remove debian/conffiles
  * remove debconf stuff and depends, purge database entries on
    installation. Closes: #299651
  * move warning from debconf template to README.debian
  * re-work package description
  * Fix wrong comment in ippl.conf. Thanks to Dan Jacobson.
    Closes: #236412
  * Remove wrong sentence in ippl.conf.man. Thanks to Dan Jacobson.
    Closes: #236414
  * create user Debian-ippl, and run as that user. Closes: #252102
  * create directory /var/run/ippl and use it.
  * Use cat_parts from exim4/aide to build config file. Thanks to
    Kovacs Baldvin. Closes: #283713, #289169

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 20 Mar 2005 10:38:33 +0000

ippl (1.4.14-5) unstable; urgency=high

  * db_stop added to postinst (closes: #299651)

 -- RISKO Gergely <risko@debian.org>  Tue, 15 Mar 2005 21:05:16 +0100

ippl (1.4.14-4) unstable; urgency=low

  * debconf note about package removal after sarge

 -- RISKO Gergely <risko@debian.org>  Sat, 12 Mar 2005 01:44:16 +0100

ippl (1.4.14-3) unstable; urgency=low

  * hurd fix (closes: #218330)
  * /etc/ippl.conf.d feature (closes: #217803)
  * implemented portresolve/noportresolve (closes: #197143)

 -- RISKO Gergely <risko@debian.org>  Sat, 24 Jan 2004 16:06:39 +0100

ippl (1.4.14-2) unstable; urgency=low

  * unneeded build-depends (libdb3-dev) removed (closes: Bug#127290)

 -- RISKO Gergely <risko@debian.org>  Tue,  1 Jan 2002 11:49:48 +0100

ippl (1.4.14-1) unstable; urgency=low

  * new upstream, fixed memory leak (closes: Bug#111190)

 -- RISKO Gergely <risko@debian.org>  Mon, 29 Oct 2001 19:33:41 +0100

ippl (1.4.13-1) unstable; urgency=low

  * Fixed the - parsing problem in the new upstream version. (closes: Bug#89151)

 -- RISKO Gergely <risko@debian.org>  Sat, 28 Jul 2001 11:32:05 +0200

ippl (1.4.12-5) unstable; urgency=low

  * Build-Depends fix (bison, flex) (closes: Bug#94144)

 -- RISKO Gergely <risko@debian.org>  Mon, 16 Apr 2001 22:40:01 +0200

ippl (1.4.12-4) unstable; urgency=low

  * Logrotate changes.

 -- RISKO Gergely <risko@debian.org>  Thu, 12 Apr 2001 20:31:01 +0200

ippl (1.4.12-3) unstable; urgency=low

  * New maintainer forgot to replace the Maintainer field, now changed. (closes: Bug#75591)

 -- Gergely Risko <risko@debian.org>  Tue,  5 Dec 2000 16:31:01 +0100

ippl (1.4.12-2) unstable; urgency=low

  * New maintainer. (closes: Bug#75591)
  * '/etc/init.d/ippl reload' works well (closes: Bug#60363)
  * logrotate instead of ippl-listfiles (closes: Bug#70650, Bug#74994, closes: Bug#44917)
  * Build-Depends added.

 -- Gergely Risko <risko@debian.org>  Fri,  1 Dec 2000 17:59:18 +0100

ippl (1.4.12-1) unstable; urgency=low

  * New upstream release.

 -- Hugo Haas <hugo@debian.org>  Fri, 10 Nov 2000 21:22:32 -0500

ippl (1.4.11-1) unstable; urgency=low

  * New upstream release (closes: #69160, #72323, #75305, #50359).
    See: http://www.via.ecp.fr/ml/ippl/200010/msg00003.html

 -- Hugo Haas <hugo@debian.org>  Sat,  4 Nov 2000 23:29:36 -0500

ippl (1.4.10-1) frozen unstable; urgency=low

  * New upstream release: fixes x.x.x.x/n parsing (closes: #62784).

 -- Hugo Haas <hugo@debian.org>  Fri, 21 Apr 2000 15:35:30 -0400

ippl (1.4.9-1) frozen unstable; urgency=low

  * New upstream release: GID change. Fixes release critical bug
    (closes: #55864).

 -- Hugo Haas <hugo@debian.org>  Fri, 11 Feb 2000 15:35:25 -0500

ippl (1.4.8-1) unstable; urgency=low

  * New upstream release: now correctly becomes a daemon (closes: #44829);
    doesn't complain about options in the IP header anymore.
  * Removed duplicate README.[Dd]ebian (closes: #46031).
  * Now depends on perl5-base instead of perl-base (closes: #46972).
  * Cleaned up debhelper files.

 -- Hugo Haas <hugo@debian.org>  Mon, 11 Oct 1999 13:07:34 -0400

ippl (1.4.7-2) unstable; urgency=low

  * Using FHS-compliant debhelper.
  * /etc/cron.weekly/ippl is now a configuration file.

 -- Hugo Haas <hugo@debian.org>  Mon,  6 Sep 1999 17:55:10 -0400

ippl (1.4.7-1) unstable; urgency=low

  * New upstream release: better logging of repeteating events.
  * Upgraded to 3.0.1.1 standards.

 -- Hugo Haas <hugo@debian.org>  Mon,  6 Sep 1999 00:38:19 -0400

ippl (1.4.6-1) unstable; urgency=low

  * New upstream release: fixes a configuration parsing problem.

 -- Hugo Haas <hugo@debian.org>  Wed, 16 Jun 1999 22:25:49 -0400

ippl (1.4.5-1) unstable; urgency=medium

  * New upstream: fixes a buffer overflow problem.

 -- Hugo Haas <hugo@debian.org>  Mon, 19 Apr 1999 18:40:46 +0100

ippl (1.4.4-1) unstable; urgency=low

  * New upstream release: fixes a problem in port range parsing.

 -- Hugo Haas <hugo@debian.org>  Mon, 12 Apr 1999 17:41:30 +0100

ippl (1.4.3-1) unstable; urgency=medium

  * New upstream release: correctly fixes a potential denial of service
    problem.

 -- Hugo Haas <hugo@debian.org>  Fri,  9 Apr 1999 18:33:23 +0100

ippl (1.4.2-1) unstable; urgency=medium

  * New upstream release: fixes a potential denial of service problem.

 -- Hugo Haas <hugo@debian.org>  Thu,  8 Apr 1999 18:29:50 +0100

ippl (1.4.1-1) unstable; urgency=low

  * New upstream release: bug fixes (fixes #35365).

 -- Hugo Haas <hugo@debian.org>  Tue,  6 Apr 1999 18:30:02 +0100

ippl (1.4.0-1) unstable; urgency=low

  * New upstream version: bug fixes.

 -- Hugo Haas <hugo@debian.org>  Fri, 26 Mar 1999 19:28:58 +0000

ippl (1.3.9-1) unstable; urgency=low

  * New upstream version: bug fixes. Updated man pages.

 -- Hugo Haas <hugo@debian.org>  Wed, 17 Mar 1999 19:31:44 +0000

ippl (1.3.7-1) unstable; urgency=low

  * New upstream version: bug fixes; corrected typos.

 -- Hugo Haas <hugo@debian.org>  Tue, 16 Mar 1999 02:32:55 -0600

ippl (1.3.6-1) unstable; urgency=low

  * New upstream release: bug fixes in the configuration mechanism.

 -- Hugo Haas <hugo@debian.org>  Sun, 14 Mar 1999 12:30:00 -0600

ippl (1.3.5-1) unstable; urgency=low

  * New upstream release:
    + bug fixes
    + now detects when a TCP connection is closed

 -- Hugo Haas <hugo@debian.org>  Sat, 13 Mar 1999 23:39:13 +0000

ippl (1.3.3-1) unstable; urgency=low

  * New upstream release: major changes:
    + ident queries
    + improved (!) configurability
    + libc5 compatibility
    + bug fixes

 -- Hugo Haas <hugo@debian.org>  Tue,  9 Mar 1999 20:14:23 +0000

ippl (1.2.4-1) unstable; urgency=low

  * New upstream release: fixes a problem with the noresolve rule.
  * Created a /var/log/ippl directory which will be removed when the
    package is purged.

 -- Hugo Haas <hugo@debian.org>  Sat,  6 Mar 1999 16:49:39 +0000

ippl (1.2.3-1) unstable; urgency=low

  * New upstream release: fixes problems in the configuration parsing.

 -- Hugo Haas <hugo@debian.org>  Sat,  6 Mar 1999 15:23:06 +0000

ippl (1.2.2-1) unstable; urgency=low

  * New upstream release: forgot to remove a line used for debugging in
    version 1.2.1.

 -- Hugo Haas <hugo@debian.org>  Thu,  4 Mar 1999 10:13:11 +0000

ippl (1.2.1-1) unstable; urgency=low

  * New upstream release: corrects a bug about file logging.
  * Log file rotation corrected.

 -- Hugo Haas <hugo@debian.org>  Wed,  3 Mar 1999 21:53:22 +0000

ippl (1.2-2) unstable; urgency=low

  * Removed a garbage line in the config line.
  * Added a mechanism to rotate the log files.
  * Updated to standards 2.5.0.0.

 -- Hugo Haas <hugo@debian.org>  Tue,  2 Mar 1999 21:29:48 +0000

ippl (1.2-1) unstable; urgency=low

  * New upstream release: bugs fixed; moved command line options to
    configuration file; code clean-up; ability to log in a file.
  * Note that this package does not have have a script to rotate the logs
    or to delete them when removed (I will do that in version 1.2-2 soon).

 -- Hugo Haas <hugo@debian.org>  Sat, 27 Feb 1999 23:05:23 +0000

ippl (1.1-1) unstable; urgency=low

  * New upstream release: possibility to filter using the destination
    address; dynamic reloading of the configuration; new options; bug
    fixes.

 -- Hugo Haas <hugo@debian.org>  Sun, 21 Feb 1999 09:40:55 -0600

ippl (1.0-1) unstable; urgency=low

  * New upstream release: stable version (source cleaned up since last
    release).

 -- Hugo Haas <hugo@debian.org>  Sun, 14 Feb 1999 10:27:54 -0600

ippl (0.13-2) unstable; urgency=low

  * Modified debian/init so that the restart option now works fine.

 -- Hugo Haas <hugo@debian.org>  Tue,  9 Feb 1999 13:49:48 -0600

ippl (0.13-1) unstable; urgency=low

  * New upstream release: now correctly handles PID files.
  * Cleaned up debian/rules.
  * Modified debian/postrm.

 -- Hugo Haas <hugo@debian.org>  Mon,  8 Feb 1999 12:04:15 -0600

ippl (0.12-1) unstable; urgency=low

  * New upstream release: more bug fixes; expiration of DNS data.
  * From now on, only bugfixes to end up with a stable, bug-free,
    version 1.0.

 -- Hugo Haas <hugo@debian.org>  Sun,  7 Feb 1999 09:33:01 -0600

ippl (0.11-1) unstable; urgency=low

  * New upstream release: again, bugs fixed. No new feature.

 -- Hugo Haas <hugo@debian.org>  Fri,  5 Feb 1999 05:44:42 -0600

ippl (0.10-1) unstable; urgency=low

  * New upstream release: lots of bug fixed, better documentation.
  * UDP disabled by default because too many packets are logged with the
    default configuration.

 -- Hugo Haas <hugo@debian.org>  Wed,  3 Feb 1999 14:57:11 -0600

ippl (0.9-1) unstable; urgency=low

  * New upstream version: limits the number of DNS queries by using a cache,
    better configuration syntax.

 -- Hugo Haas <hugo@debian.org>  Tue,  2 Feb 1999 13:00:51 -0600

ippl (0.8-2) unstable; urgency=low

  * Oops! Fixed two typos in ippl.conf...

 -- Hugo Haas <hugo@debian.org>  Mon,  1 Feb 1999 07:35:41 -0600

ippl (0.8-1) unstable; urgency=low

  * New upstream version: UDP logging.

 -- Hugo Haas <hugo@debian.org>  Sat, 30 Jan 1999 12:18:49 -0600

ippl (0.7-1) unstable; urgency=low

  * Initial release.

 -- Hugo Haas <hugo@debian.org>  Sat, 23 Jan 1999 22:46:30 +0000
